Bug 123613 - security/sguil-server, files missing from recent upgrade
Summary: security/sguil-server, files missing from recent upgrade
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-12 17:30 UTC by pauls
Modified: 2008-05-21 15:50 UTC (History)
0 users

See Also:


Attachments
patch-sguil-server (16.36 KB, text/plain)
2008-05-12 17:30 UTC, pauls
no flags Details
patch-sguil-server (18.68 KB, application/octet-stream)
2008-05-14 19:09 UTC, pauls
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pauls 2008-05-12 17:30:00 UTC
	security/sguil-server, the recent port upgrade is missing files
	Both the pkg-install and pkg-deinstall files were not included in
	the master patch I submitted.  This PR adds those files and bumps
	the PORTREVISION
Comment 1 pauls 2008-05-14 19:09:23 UTC
--On Monday, May 12, 2008 16:30:00 +0000 FreeBSD-gnats-submit@FreeBSD.org wrote:

> Thank you very much for your problem report.
> It has the internal identification `ports/123613'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=123613
>
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       security/sguil-server, files missing from recent upgrade
>> Arrival-Date:   Mon May 12 16:30:00 UTC 2008

Please discard the patch submitted with this PR and apply the one attached to 
this message instead.  It includes major changes to the startup script to 
correct a problem in the existing script and to more closely conform with 
general practice regarding rc.subr scripts.

The existing port has the following file structure:

# find /usr/ports/security/sguil-server/*
/usr/ports/security/sguil-server/Makefile
/usr/ports/security/sguil-server/distinfo
/usr/ports/security/sguil-server/files
/usr/ports/security/sguil-server/files/patch-sguild
/usr/ports/security/sguil-server/files/patch-sguild.access
/usr/ports/security/sguil-server/files/patch-sguild.conf
/usr/ports/security/sguil-server/files/pkg-message.in
/usr/ports/security/sguil-server/files/sguild.sh.in
/usr/ports/security/sguil-server/pkg-descr
/usr/ports/security/sguil-server/pkg-plist

Note that the pkg-install and pkg-deinstall scripts are missing.

After this patch is applied, the port should look like this:

# find sguil-server/*
sguil-server/Makefile
sguil-server/distinfo
sguil-server/files
sguil-server/files/patch-sguild
sguil-server/files/patch-sguild.access
sguil-server/files/patch-sguild.conf
sguil-server/files/pkg-message.in
sguil-server/files/sguild.sh.in
sguil-server/files/pkg-install.in
sguil-server/files/pkg-deinstall.in
sguil-server/pkg-descr
sguil-server/pkg-plist

-- 
Paul Schmehl (pauls@utdallas.edu)
Senior Information Security Analyst
The University of Texas at Dallas
http://www.utdallas.edu/ir/security/
Comment 2 pauls 2008-05-17 04:41:17 UTC
--On May 12, 2008 4:30:00 PM +0000 FreeBSD-gnats-submit@FreeBSD.org wrote:

> Thank you very much for your problem report.
> It has the internal identification `ports/123613'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=123613
>
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       security/sguil-server, files missing from recent upgrade
>> Arrival-Date:   Mon May 12 16:30:00 UTC 2008

The second patch is truncated as well.  I don't know why.

Please download a copy of a full patch here:
http://www.utdallas.edu/~pauls/patch-sguil-sensor.

Paul Schmehl (pauls@utdallas.edu)
Senior Information Security Analyst
The University of Texas at Dallas
http://www.utdallas.edu/ir/security/
Comment 3 Marcelo Araujo freebsd_committer 2008-05-18 00:58:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 4 Marcelo Araujo freebsd_committer 2008-05-19 12:54:26 UTC
State Changed
From-To: open->feedback

I tested this patch and we have some problems, I talked with maintainer 
in private mail and I'm waiting feedback.
Comment 5 dfilter service freebsd_committer 2008-05-21 15:43:07 UTC
araujo      2008-05-21 14:42:51 UTC

  FreeBSD ports repository

  Modified files:
    security/sguil-server Makefile 
    security/sguil-server/files sguild.sh.in 
  Added files:
    security/sguil-server/files pkg-deinstall.in pkg-install.in 
  Log:
  - Fixed some errors introduced during the upgrade from version 0.6.1 to 0.7.0.
  - Bump PORTREVISION.
  
  PR:             ports/123613
  Reported by:    pointyhat via pav
  Submitted by:   Pauls Schmehl <pauls@utdallas.edu> (maintainer)
  Reviewed by:    araujo (myself)
  
  Revision  Changes    Path
  1.6       +9 -5      ports/security/sguil-server/Makefile
  1.1       +65 -0     ports/security/sguil-server/files/pkg-deinstall.in (new)
  1.1       +408 -0    ports/security/sguil-server/files/pkg-install.in (new)
  1.5       +27 -10    ports/security/sguil-server/files/sguild.sh.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Marcelo Araujo freebsd_committer 2008-05-21 15:48:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!